{% extends 'index.html' %}
{% block title %}
<title>Search results</title>
{% endblock %}
{% block content1 %}
<div class="home-inner-body">
    {% if len == 0 %}
    <div class="wrapper">
        <div class="add-link">
            <!--            <a href="{% url 'link-create' %}">-->
            <!--                <button class="btn btn-primary">Adauga link</button>-->
            <!--            </a>-->
            <p>Nimic gasit</p>
        </div>
    </div>
    {% else %}
    <div class="wrapper-link">
        <!--        <div class="add-link">-->
        <!--            <a href="{% url 'link-create' %}">-->
        <!--                <button class="btn btn-primary">Adauga link</button>-->
        <!--            </a>-->
        <!--        </div>-->
        <!--        <div class="search-wrapper">-->
        <!--            <form method="post" action="{% url 'search-engine' %}" enctype="multipart/form-data">-->
        <!--                {% csrf_token %}-->
        <!--                <div class="form-group">-->
        <!--                    <input type="text" id="text-bar" name="q" class="form-control">-->
        <!--                </div>-->
        <!--                <div class="form-group">-->
        <!--                    <button type="submit" class="btn btn-success" id="search-btn">Cauta</button>-->
        <!--                </div>-->
        <!--            </form>-->
        <!--        </div>-->
    </div>
    <table class="table table-striped table-hover">
        <thead>
        <tr class="table-dark">
            <td>
                ID
            </td>
            <td>Title</td>
            <td>Link</td>
            <td>Description</td>
            <td>Created</td>
            <td>Updated</td>
            <td>Edit</td>
            <td>Delete</td>
        </tr>
        </thead>
        <tbody>
        {% for link in objects_list %}
        <tr class="table-light">
            <td>
                {{link.id}}
            </td>
            <td>{{link.title}}</td>
            <td><a href="{{link.url}}" target="_blank">{{ link.url}}</a></td>
            <td class="td-a"><a href="{% url 'description-view' pk=link.id%}" class="parr">{{link.description}}</a>
            </td>
            <td>{{link.creation_date}}</td>
            <td>{{link.update_time}}</td>
            <td class="td-upd-del"><a href="{% url 'link-update' pk=link.id %}">Modifica</a></td>
            <td class="td-upd-del"><a href="{% url 'link-delete' pk=link.id%}">Sterge</a></td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    {% endif %}
    <form>
        <input type="hidden" value="{{len}}" id="f">
    </form>
    <div class="wrapper-paginator">
        <div class="paginator-block">
            {% if objects_list.has_previous %}
            <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                &laquo;
            </a>
            {% endif %}
            {% if objects_list.number|add:'-4' > 1 %}
            <a class="inactive-page" href="?page={{ objects_list.number|add:'-6' }}">&hellip;</a>
            {% endif %}
            {% for n in objects_list.paginator.page_range %}
            {% if objects_list.number == n %}

            <a class="active-page">{{ n }}</a>
            {% elif n > objects_list.number|add:'-5' and n < objects_list.number|add:'5' %}

            <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

            {% endif %}
            {% endfor %}
            {% if objects_list.paginator.num_pages > objects_list.number|add:'5' %}
            <a class="inactive-page" href="?page={{ objects_list.number|add:'6' }}">&hellip;</a>
            {% endif %}
            {% if objects_list.has_next %}
            <a class="inactive-page" href="?page={{ objects_list.paginator.num_pages }}" aria-label="Next">
                &raquo;
            </a>
            {% endif %}
        </div>
    </div>
</div>

<script>
        let len = document.getElementById("f").value;
        let cl = document.getElementsByClassName("parr");
        for(i=0; i<cl.length; i++){
            let text_string = "";
            let val = cl[i].text;
            if(val.length > 15){
                for(j=0; j<15;j++){
                    text_string += cl[i].text[j];
                }
            cl[i].text = text_string + "...";
            }
        }





</script>
{% endblock %}